# Uses of Interface
org.apache.cxf.message.Message

Packages that use Message
Package
Description
org.apache.cxf.attachment
org.apache.cxf.binding
org.apache.cxf.bus.spring
org.apache.cxf.common.util
org.apache.cxf.databinding
org.apache.cxf.databinding.stax
org.apache.cxf.endpoint
org.apache.cxf.feature.transform
org.apache.cxf.helpers
org.apache.cxf.interceptor
org.apache.cxf.interceptor.security
org.apache.cxf.interceptor.security.callback
org.apache.cxf.interceptor.transform
org.apache.cxf.logging
org.apache.cxf.message
org.apache.cxf.phase
org.apache.cxf.policy
org.apache.cxf.staxutils
org.apache.cxf.staxutils.validation
org.apache.cxf.transport
org.apache.cxf.transport.common.gzip
org.apache.cxf.validation
org.apache.cxf.ws.addressing

- ## Uses of Message in org.apache.cxf.attachment

  Methods in org.apache.cxf.attachment with parameters of type Message
  Modifier and Type
  Method
  Description
  `void`
  AttachmentDataSource.`cache(Message message)`
  `static Attachment`
  AttachmentUtil.`createAttachment(InputStream stream, Map<String,List<String>> headers, Message message)`
  `void`
  AttachmentDataSource.`hold(Message message)`
  `static boolean`
  AttachmentUtil.`isMtomEnabled(Message message)`
  `static void`
  AttachmentUtil.`setStreamedAttachmentProperties(Message message, CachedOutputStream bos)`
  Constructors in org.apache.cxf.attachment with parameters of type Message
  Modifier
  Constructor
  Description
  ``
  `AttachmentBoundaryDeserializer(Message message)`
  ``
  `AttachmentDeserializer(Message message)`
  ``
  `AttachmentDeserializer(Message message, List<String> supportedTypes)`
  ``
  `AttachmentSerializer(Message messageParam)`
  ``
  `AttachmentSerializer(Message messageParam, String multipartType, boolean writeOptionalTypeParameters, Map<String,List<String>> headers)`

- ## Uses of Message in org.apache.cxf.binding

  Methods in org.apache.cxf.binding that return Message
  Modifier and Type
  Method
  Description
  `Message`
  Binding.`createMessage()`
  Create a Message for this Binding.
  `Message`
  Binding.`createMessage(Message m)`
  Create a Message form the message.
  Methods in org.apache.cxf.binding with parameters of type Message
  Modifier and Type
  Method
  Description
  `Message`
  Binding.`createMessage(Message m)`
  Create a Message form the message.

- ## Uses of Message in org.apache.cxf.bus.spring

  Methods in org.apache.cxf.bus.spring that return types with arguments of type Message
  Modifier and Type
  Method
  Description
  `List<Interceptor<? extends Message>>`
  BusDefinitionParser.BusConfig.`getInFaultInterceptors()`
  `List<Interceptor<? extends Message>>`
  BusDefinitionParser.BusConfig.`getInInterceptors()`
  `List<Interceptor<? extends Message>>`
  BusDefinitionParser.BusConfig.`getOutFaultInterceptors()`
  `List<Interceptor<? extends Message>>`
  BusDefinitionParser.BusConfig.`getOutInterceptors()`
  Method parameters in org.apache.cxf.bus.spring with type arguments of type Message
  Modifier and Type
  Method
  Description
  `void`
  BusDefinitionParser.BusConfig.`setInFaultInterceptors(List<Interceptor<? extends Message>> interceptors)`
  `void`
  BusDefinitionParser.BusConfig.`setInInterceptors(List<Interceptor<? extends Message>> interceptors)`
  `void`
  BusDefinitionParser.BusConfig.`setOutFaultInterceptors(List<Interceptor<? extends Message>> interceptors)`
  `void`
  BusDefinitionParser.BusConfig.`setOutInterceptors(List<Interceptor<? extends Message>> interceptors)`

- ## Uses of Message in org.apache.cxf.common.util

  Methods in org.apache.cxf.common.util with parameters of type Message
  Modifier and Type
  Method
  Description
  `static Integer`
  PropertyUtils.`getInteger(Message message, String key)`
  `static Long`
  PropertyUtils.`getLong(Message message, String key)`

- ## Uses of Message in org.apache.cxf.databinding

  Fields in org.apache.cxf.databinding with type parameters of type Message
  Modifier and Type
  Field
  Description
  `protected ModCountCopyOnWriteArrayList<Interceptor<? extends Message>>`
  AbstractInterceptorProvidingDataBinding.`inFaultInterceptors`
  `protected ModCountCopyOnWriteArrayList<Interceptor<? extends Message>>`
  AbstractInterceptorProvidingDataBinding.`inInterceptors`
  `protected ModCountCopyOnWriteArrayList<Interceptor<? extends Message>>`
  AbstractInterceptorProvidingDataBinding.`outFaultInterceptors`
  `protected ModCountCopyOnWriteArrayList<Interceptor<? extends Message>>`
  AbstractInterceptorProvidingDataBinding.`outInterceptors`
  Methods in org.apache.cxf.databinding that return types with arguments of type Message
  Modifier and Type
  Method
  Description
  `List<Interceptor<? extends Message>>`
  AbstractInterceptorProvidingDataBinding.`getInFaultInterceptors()`
  `List<Interceptor<? extends Message>>`
  AbstractInterceptorProvidingDataBinding.`getInInterceptors()`
  `List<Interceptor<? extends Message>>`
  AbstractInterceptorProvidingDataBinding.`getOutFaultInterceptors()`
  `List<Interceptor<? extends Message>>`
  AbstractInterceptorProvidingDataBinding.`getOutInterceptors()`

- ## Uses of Message in org.apache.cxf.databinding.stax

  Methods in org.apache.cxf.databinding.stax with parameters of type Message
  Modifier and Type
  Method
  Description
  `void`
  StaxDataBindingInterceptor.`handleMessage(Message message)`

- ## Uses of Message in org.apache.cxf.endpoint

  Methods in org.apache.cxf.endpoint with parameters of type Message
  Modifier and Type
  Method
  Description
  `protected Conduit`
  AbstractConduitSelector.`createConduit(Message message, Exchange exchange, ConduitInitiator conduitInitiator)`
  `protected Conduit`
  AbstractConduitSelector.`findCompatibleConduit(Message message)`
  If address protocol was changed, conduit should be re-initialised
  `protected Conduit`
  AbstractConduitSelector.`getSelectedConduit(Message message)`
  Mechanics to actually get the Conduit from the ConduitInitiator if necessary.
  `protected void`
  ClientImpl.`modifyChain(InterceptorChain chain, Message ctx, boolean in)`
  `protected void`
  ClientImpl.`modifyOnewayChain(InterceptorChain chain, Message ctx)`
  `void`
  ClientImpl.`onMessage(Message message)`
  `void`
  ConduitSelector.`prepare(Message message)`
  Called prior to the interceptor chain being traversed.
  `void`
  DeferredConduitSelector.`prepare(Message message)`
  Called prior to the interceptor chain being traversed.
  `void`
  NullConduitSelector.`prepare(Message message)`
  Called prior to the interceptor chain being traversed.
  `void`
  PreexistingConduitSelector.`prepare(Message message)`
  Called prior to the interceptor chain being traversed.
  `void`
  UpfrontConduitSelector.`prepare(Message message)`
  Called prior to the interceptor chain being traversed.
  `protected void`
  ClientImpl.`prepareConduitSelector(Message message)`
  `protected Object[]`
  ClientImpl.`processResult(Message message, Exchange exchange, BindingOperationInfo oi, Map<String,Object> resContext)`
  `protected boolean`
  AbstractConduitSelector.`replaceEndpointAddressPropertyIfNeeded(Message message, String endpointAddress, Conduit cond)`
  `Conduit`
  ConduitSelector.`selectConduit(Message message)`
  Called when a Conduit is actually required.
  `Conduit`
  DeferredConduitSelector.`selectConduit(Message message)`
  Called when a Conduit is actually required.
  `Conduit`
  NullConduitSelector.`selectConduit(Message message)`
  Called when a Conduit is actually required.
  `Conduit`
  PreexistingConduitSelector.`selectConduit(Message message)`
  Called when a Conduit is actually required.
  `Conduit`
  UpfrontConduitSelector.`selectConduit(Message message)`
  Called when a Conduit is actually required.
  `protected void`
  ClientImpl.`setContext(Map<String,Object> ctx, Message message)`
  `protected void`
  ClientImpl.`setOutMessageProperties(Message message, BindingOperationInfo boi)`
  `protected void`
  ClientImpl.`setParameters(Object[] params, Message message)`
  `void`
  ClientCallback.`start(Message msg)`
  Called when a message is first received prior to any actions being applied to the message.

- ## Uses of Message in org.apache.cxf.feature.transform

  Methods in org.apache.cxf.feature.transform with parameters of type Message
  Modifier and Type
  Method
  Description
  `protected boolean`
  AbstractXSLTInterceptor.`checkContextProperty(Message message)`
  `void`
  XSLTInInterceptor.`handleMessage(Message message)`
  `void`
  XSLTOutInterceptor.`handleMessage(Message message)`
  `protected void`
  XSLTInInterceptor.`transformIS(Message message, InputStream is)`
  `protected void`
  XSLTOutInterceptor.`transformOS(Message message, OutputStream out)`
  `protected void`
  XSLTInInterceptor.`transformReader(Message message, Reader reader)`
  `protected void`
  XSLTOutInterceptor.`transformWriter(Message message, Writer writer)`
  `protected void`
  XSLTInInterceptor.`transformXReader(Message message, XMLStreamReader xReader)`
  `protected void`
  XSLTOutInterceptor.`transformXWriter(Message message, XMLStreamWriter xWriter)`

- ## Uses of Message in org.apache.cxf.helpers

  Methods in org.apache.cxf.helpers with parameters of type Message
  Modifier and Type
  Method
  Description
  `static SchemaValidation.SchemaValidationType`
  ServiceUtils.`getSchemaValidationType(Message message)`
  A convenience method to check for schema validation config in the message context, and then in the service model.
  `static boolean`
  ServiceUtils.`isSchemaValidationEnabled(SchemaValidation.SchemaValidationType type, Message message)`
  A short cut method to be able to test for if Schema Validation should be enabled for IN or OUT without having to check BOTH and IN or OUT.

- ## Uses of Message in org.apache.cxf.interceptor

  Classes in org.apache.cxf.interceptor with type parameters of type Message
  Modifier and Type
  Interface
  Description
  `interface`
  `Interceptor<T extends Message>`
  Base interface for all interceptors.
  `interface`
  `OneWayInterceptor<T extends Message>`
  Base interface for client interceptors that are compatible with one way message processing (primarily, JAX-WS).
  Methods in org.apache.cxf.interceptor that return types with arguments of type Message
  Modifier and Type
  Method
  Description
  `List<Interceptor<? extends Message>>`
  AbstractAttributedInterceptorProvider.`getInFaultInterceptors()`
  `List<Interceptor<? extends Message>>`
  AbstractBasicInterceptorProvider.`getInFaultInterceptors()`
  `List<Interceptor<? extends Message>>`
  AnnotationInterceptors.`getInFaultInterceptors()`
  `List<Interceptor<? extends Message>>`
  InterceptorProvider.`getInFaultInterceptors()`
  Returns the list of interceptors attached to the incoming fault interceptor chain of the object.
  `List<Interceptor<? extends Message>>`
  AbstractAttributedInterceptorProvider.`getInInterceptors()`
  `List<Interceptor<? extends Message>>`
  AbstractBasicInterceptorProvider.`getInInterceptors()`
  `List<Interceptor<? extends Message>>`
  AnnotationInterceptors.`getInInterceptors()`
  `List<Interceptor<? extends Message>>`
  InterceptorProvider.`getInInterceptors()`
  Returns the list of interceptors attached to the incoming interceptor chain of the object.
  `ListIterator<Interceptor<? extends Message>>`
  InterceptorChain.`getIterator()`
  `List<Interceptor<? extends Message>>`
  AbstractAttributedInterceptorProvider.`getOutFaultInterceptors()`
  `List<Interceptor<? extends Message>>`
  AbstractBasicInterceptorProvider.`getOutFaultInterceptors()`
  `List<Interceptor<? extends Message>>`
  AnnotationInterceptors.`getOutFaultInterceptors()`
  `List<Interceptor<? extends Message>>`
  InterceptorProvider.`getOutFaultInterceptors()`
  Returns the list of interceptors attached to the outgoing fault interceptor chain of the object.
  `List<Interceptor<? extends Message>>`
  AbstractAttributedInterceptorProvider.`getOutInterceptors()`
  `List<Interceptor<? extends Message>>`
  AbstractBasicInterceptorProvider.`getOutInterceptors()`
  `List<Interceptor<? extends Message>>`
  AnnotationInterceptors.`getOutInterceptors()`
  `List<Interceptor<? extends Message>>`
  InterceptorProvider.`getOutInterceptors()`
  Returns the list of interceptors attached to the outgoing interceptor chain of the object.
  Methods in org.apache.cxf.interceptor with parameters of type Message
  Modifier and Type
  Method
  Description
  `boolean`
  InterceptorChain.`doIntercept(Message message)`
  `boolean`
  InterceptorChain.`doInterceptStartingAfter(Message message, String startingAfterInterceptorID)`
  `boolean`
  InterceptorChain.`doInterceptStartingAt(Message message, String startingAtInterceptorID)`
  `protected MessagePartInfo`
  AbstractInDatabindingInterceptor.`findMessagePart(Exchange exchange, Collection<OperationInfo> operations, QName name, boolean client, int index, Message message)`
  Find the next possible message part in the message.
  `protected static Conduit`
  OutgoingChainInterceptor.`getBackChannelConduit(Message message)`
  `static Conduit`
  MessageSenderInterceptor.`getConduit(Message message)`
  `protected DataReader<XMLStreamReader>`
  AbstractInDatabindingInterceptor.`getDataReader(Message message)`
  `protected <T> DataReader<T>`
  AbstractInDatabindingInterceptor.`getDataReader(Message message, Class<T> input)`
  `protected <T> DataWriter<T>`
  AbstractOutDatabindingInterceptor.`getDataWriter(Message message, Service service, Class<T> output)`
  `protected Object`
  FaultOutInterceptor.`getFaultBean(Throwable cause, FaultInfo faultPart, Message message)`
  `protected MessageInfo`
  AbstractInDatabindingInterceptor.`getMessageInfo(Message message, BindingOperationInfo operation)`
  `protected MessageInfo`
  AbstractInDatabindingInterceptor.`getMessageInfo(Message message, BindingOperationInfo operation, boolean requestor)`
  `protected DataReader<Node>`
  AbstractInDatabindingInterceptor.`getNodeDataReader(Message message)`
  `static XMLInputFactory`
  StaxInInterceptor.`getXMLInputFactory(Message m)`
  `static XMLOutputFactory`
  StaxOutInterceptor.`getXMLOutputFactory(Message m)`
  `protected DepthXMLStreamReader`
  AbstractInDatabindingInterceptor.`getXMLStreamReader(Message message)`
  `protected XMLStreamWriter`
  AbstractOutDatabindingInterceptor.`getXMLStreamWriter(Message message)`
  `void`
  AttachmentInInterceptor.`handleFault(Message messageParam)`
  `void`
  FIStaxOutInterceptor.`handleFault(Message message)`
  `void`
  OneWayProcessorInterceptor.`handleFault(Message message)`
  `void`
  StaxOutInterceptor.`handleFault(Message message)`
  `void`
  AttachmentInInterceptor.`handleMessage(Message message)`
  `void`
  AttachmentOutInterceptor.AttachmentOutEndingInterceptor.`handleMessage(Message message)`
  `void`
  AttachmentOutInterceptor.`handleMessage(Message message)`
  `void`
  ClientFaultConverter.`handleMessage(Message msg)`
  `void`
  FaultOutInterceptor.`handleMessage(Message message)`
  `void`
  FIStaxInInterceptor.`handleMessage(Message message)`
  `void`
  FIStaxOutInterceptor.`handleMessage(Message message)`
  `void`
  LoggingInInterceptor.`handleMessage(Message message)`
  Deprecated.
  `void`
  LoggingOutInterceptor.`handleMessage(Message message)`
  Deprecated.
  `void`
  MessageSenderInterceptor.`handleMessage(Message message)`
  `void`
  MessageSenderInterceptor.MessageSenderEndingInterceptor.`handleMessage(Message message)`
  `void`
  OneWayProcessorInterceptor.`handleMessage(Message message)`
  `void`
  OutgoingChainInterceptor.`handleMessage(Message message)`
  `void`
  ServiceInvokerInterceptor.`handleMessage(Message message)`
  `void`
  StaxInEndingInterceptor.`handleMessage(Message message)`
  `void`
  StaxInInterceptor.`handleMessage(Message message)`
  `void`
  StaxOutEndingInterceptor.`handleMessage(Message message)`
  `void`
  StaxOutInterceptor.`handleMessage(Message message)`
  `protected boolean`
  FIStaxInInterceptor.`isHttpVerbSupported(Message message)`
  `protected static boolean`
  AbstractLoggingInterceptor.`isLoggingDisabledNow(Message message)`
  Deprecated.
  `protected boolean`
  FIStaxInInterceptor.`isRequestor(Message message)`
  `protected void`
  LoggingInInterceptor.`logging(Logger logger, Message message)`
  Deprecated.
  `protected void`
  LoggingInInterceptor.`logInputStream(Message message, InputStream is, LoggingMessage buffer, String encoding, String ct)`
  Deprecated.
  `protected void`
  LoggingInInterceptor.`logReader(Message message, Reader reader, LoggingMessage buffer)`
  Deprecated.
  `void`
  AbstractFaultChainInitiatorObserver.`onMessage(Message message)`
  `void`
  ClientOutFaultObserver.`onMessage(Message m)`
  override the super class method
  `protected void`
  ClientFaultConverter.`processFaultDetail(Fault fault, Message msg)`
  `protected void`
  AbstractInDatabindingInterceptor.`setDataReaderValidation(Service service, Message message, DataReader<?> reader)`
  Based on the Schema Validation configuration, will initialise the DataReader with or without the schema set.
  `protected MessageInfo`
  AbstractInDatabindingInterceptor.`setMessage(Message message, BindingOperationInfo operation, boolean requestor, ServiceInfo si, MessageInfo msgInfo)`
  `protected void`
  AbstractInDatabindingInterceptor.`setOperationSchemaValidation(Message message)`
  `protected void`
  AbstractOutDatabindingInterceptor.`setOperationSchemaValidation(Message message)`
  `protected boolean`
  AbstractOutDatabindingInterceptor.`shouldBuffer(Message message)`
  `protected boolean`
  AbstractInDatabindingInterceptor.`shouldValidate(Message message)`
  `protected boolean`
  AbstractOutDatabindingInterceptor.`shouldValidate(Message m)`
  `protected boolean`
  AbstractInDatabindingInterceptor.`supportsDataReader(Message message, Class<?> input)`
  `protected void`
  AbstractOutDatabindingInterceptor.`writeParts(Message message, Exchange exchange, BindingOperationInfo operation, MessageContentsList objs, List<MessagePartInfo> parts)`
  `protected boolean`
  AbstractOutDatabindingInterceptor.`writeToOutputStream(Message m, BindingInfo info, Service s)`
  Method parameters in org.apache.cxf.interceptor with type arguments of type Message
  Modifier and Type
  Method
  Description
  `void`
  InterceptorChain.`add(Collection<Interceptor<? extends Message>> i)`
  Adds multiple interceptors to the interceptor chain.
  `void`
  InterceptorChain.`add(Interceptor<? extends Message> i)`
  Adds a single interceptor to the interceptor chain.
  `void`
  InterceptorChain.`remove(Interceptor<? extends Message> i)`
  `void`
  AbstractAttributedInterceptorProvider.`setInFaultInterceptors(List<Interceptor<? extends Message>> interceptors)`
  `void`
  AbstractBasicInterceptorProvider.`setInFaultInterceptors(List<Interceptor<? extends Message>> interceptors)`
  `void`
  AbstractAttributedInterceptorProvider.`setInInterceptors(List<Interceptor<? extends Message>> interceptors)`
  `void`
  AbstractBasicInterceptorProvider.`setInInterceptors(List<Interceptor<? extends Message>> interceptors)`
  `void`
  AbstractAttributedInterceptorProvider.`setOutFaultInterceptors(List<Interceptor<? extends Message>> interceptors)`
  `void`
  AbstractBasicInterceptorProvider.`setOutFaultInterceptors(List<Interceptor<? extends Message>> interceptors)`
  `void`
  AbstractAttributedInterceptorProvider.`setOutInterceptors(List<Interceptor<? extends Message>> interceptors)`
  `void`
  AbstractBasicInterceptorProvider.`setOutInterceptors(List<Interceptor<? extends Message>> interceptors)`

- ## Uses of Message in org.apache.cxf.interceptor.security

  Methods in org.apache.cxf.interceptor.security with parameters of type Message
  Modifier and Type
  Method
  Description
  `protected boolean`
  DepthRestrictingStreamInterceptor.`canBeIgnored(Message message)`
  `protected String`
  DelegatingAuthenticationInterceptor.`getAuthenticationScheme(Message message)`
  `protected OperationInfo`
  OperationInfoAuthorizingInterceptor.`getTargetOperationInfo(Message message)`
  `void`
  AbstractAuthorizingInInterceptor.`handleMessage(Message message)`
  `void`
  AbstractSecurityContextInInterceptor.`handleMessage(Message message)`
  `void`
  DelegatingAuthenticationInterceptor.`handleMessage(Message message)`
  `void`
  DepthRestrictingStreamInterceptor.`handleMessage(Message message)`
  `void`
  JAASLoginInterceptor.`handleMessage(Message message)`
  `void`
  OperationInfoAuthorizingInterceptor.`handleMessage(Message message)`
  Method parameters in org.apache.cxf.interceptor.security with type arguments of type Message
  Modifier and Type
  Method
  Description
  `void`
  DelegatingAuthenticationInterceptor.`setSchemeHandlers(Map<String,Interceptor<Message>> handlers)`

- ## Uses of Message in org.apache.cxf.interceptor.security.callback

  Methods in org.apache.cxf.interceptor.security.callback with parameters of type Message
  Modifier and Type
  Method
  Description
  `CallbackHandler`
  CallbackHandlerProvider.`create(Message message)`
  `CallbackHandler`
  CallbackHandlerProviderAuthPol.`create(Message message)`
  `CallbackHandler`
  CallbackHandlerProviderUsernameToken.`create(Message message)`
  `CallbackHandler`
  CallbackHandlerTlsCert.`create(Message message)`

- ## Uses of Message in org.apache.cxf.interceptor.transform

  Methods in org.apache.cxf.interceptor.transform with parameters of type Message
  Modifier and Type
  Method
  Description
  `void`
  TransformOutInterceptor.`handleFault(Message message)`
  `void`
  TransformInInterceptor.`handleMessage(Message message)`
  `void`
  TransformOutInterceptor.`handleMessage(Message message)`
  `protected boolean`
  TransformOutInterceptor.`isHttpVerbSupported(Message message)`

- ## Uses of Message in org.apache.cxf.logging

  Methods in org.apache.cxf.logging with parameters of type Message
  Modifier and Type
  Method
  Description
  `boolean`
  FaultListener.`faultOccurred(Exception exception, String description, Message message)`
  Handle the occurred exception.
  `boolean`
  NoOpFaultListener.`faultOccurred(Exception exception, String description, Message message)`

- ## Uses of Message in org.apache.cxf.message

  Classes in org.apache.cxf.message that implement Message
  Modifier and Type
  Class
  Description
  `class`
  `AbstractWrappedMessage`
  A base class to build your own message implementations on.
  `class`
  `MessageImpl`
  `class`
  `XMLMessage`
  Methods in org.apache.cxf.message that return Message
  Modifier and Type
  Method
  Description
  `Message`
  Exchange.`getInFaultMessage()`
  `Message`
  ExchangeImpl.`getInFaultMessage()`
  `Message`
  Exchange.`getInMessage()`
  Returns the inbound message for the exchange.
  `Message`
  ExchangeImpl.`getInMessage()`
  `Message`
  AbstractWrappedMessage.`getMessage()`
  `Message`
  Exchange.`getOutFaultMessage()`
  `Message`
  ExchangeImpl.`getOutFaultMessage()`
  `Message`
  Exchange.`getOutMessage()`
  Returns the outbound message for the exchange.
  `Message`
  ExchangeImpl.`getOutMessage()`
  Methods in org.apache.cxf.message with parameters of type Message
  Modifier and Type
  Method
  Description
  `static void`
  MessageImpl.`copyContent(Message m1, Message m2)`
  `Conduit`
  Exchange.`getConduit(Message message)`
  `Conduit`
  ExchangeImpl.`getConduit(Message message)`
  `static MessageContentsList`
  MessageContentsList.`getContentsList(Message msg)`
  `static boolean`
  MessageUtils.`getContextualBoolean(Message m, String key)`
  `static boolean`
  MessageUtils.`getContextualBoolean(Message m, String key, boolean defaultValue)`
  `static int`
  MessageUtils.`getContextualInteger(Message m, String key, int defaultValue)`
  `static Collection<Integer>`
  MessageUtils.`getContextualIntegers(Message m, String key, Collection<Integer> defaultValue)`
  `static Object`
  MessageUtils.`getContextualProperty(Message m, String propPreferred, String propDefault)`
  `static String`
  MessageUtils.`getContextualString(Message m, String key, String defaultValue)`
  `static Set<String>`
  MessageUtils.`getContextualStrings(Message m, String key, Set<String> defaultValue)`
  `static FaultMode`
  MessageUtils.`getFaultMode(Message message)`
  Determine the fault mode for the underlying (fault) message (for use on server side only).
  `static int`
  MessageUtils.`getReponseCodeFromMessage(Message message)`
  Gets the response code from the message and tries to deduct one if it is not set yet.
  `static Optional<Method>`
  MessageUtils.`getTargetMethod(Message m)`
  `static boolean`
  MessageUtils.`hasNoResponseContent(Message message)`
  Determines if the current message has no response content.
  `static boolean`
  MessageUtils.`isDOMPresent(Message m)`
  Returns true if the underlying content format is a W3C DOM or a SAAJ message.
  `static boolean`
  MessageUtils.`isEmptyPartialResponse(Message message)`
  Determines if the current message is an empty partial response, which is a partial response with an empty content.
  `static boolean`
  MessageUtils.`isFault(Message message)`
  Determine if message is fault.
  `static boolean`
  MessageUtils.`isOneWay(Message message)`
  Checks if the message is oneway or not
  `static boolean`
  MessageUtils.`isOutbound(Message message)`
  Determine if message is outbound.
  `static boolean`
  MessageUtils.`isPartialResponse(Message message)`
  Determine if the current message is a partial response.
  `static boolean`
  MessageUtils.`isRequestor(Message message)`
  Determine if current messaging role is that of requestor.
  `void`
  Exchange.`setInFaultMessage(Message m)`
  `void`
  ExchangeImpl.`setInFaultMessage(Message m)`
  `void`
  Exchange.`setInMessage(Message m)`
  `void`
  ExchangeImpl.`setInMessage(Message m)`
  `void`
  AbstractWrappedMessage.`setMessage(Message message)`
  `void`
  Exchange.`setOutFaultMessage(Message m)`
  `void`
  ExchangeImpl.`setOutFaultMessage(Message m)`
  `void`
  Exchange.`setOutMessage(Message m)`
  `void`
  ExchangeImpl.`setOutMessage(Message m)`
  Constructors in org.apache.cxf.message with parameters of type Message
  Modifier
  Constructor
  Description
  `protected`
  `AbstractWrappedMessage(Message msg)`
  ``
  `MessageImpl(Message m)`
  ``
  `XMLMessage(Message message)`

- ## Uses of Message in org.apache.cxf.phase

  Classes in org.apache.cxf.phase with type parameters of type Message
  Modifier and Type
  Class
  Description
  `class`
  `AbstractPhaseInterceptor<T extends Message>`
  Provides a starting point implementation for a interceptors that participate in phased message processing.
  `interface`
  `PhaseInterceptor<T extends Message>`
  A phase interceptor is an intercetor that participates in a PhaseInterceptorChain.
  Methods in org.apache.cxf.phase that return Message
  Modifier and Type
  Method
  Description
  `static Message`
  PhaseInterceptorChain.`getCurrentMessage()`
  Methods in org.apache.cxf.phase that return types with arguments of type Message
  Modifier and Type
  Method
  Description
  `Collection<PhaseInterceptor<? extends Message>>`
  AbstractPhaseInterceptor.`getAdditionalInterceptors()`
  `Collection<PhaseInterceptor<? extends Message>>`
  PhaseInterceptor.`getAdditionalInterceptors()`
  Returns a collection of Interceptors that should be added to the chain whenever this interceptor is added.
  `ListIterator<Interceptor<? extends Message>>`
  PhaseInterceptorChain.`getIterator()`
  `Iterator<Interceptor<? extends Message>>`
  PhaseInterceptorChain.`iterator()`
  Methods in org.apache.cxf.phase with parameters of type Message
  Modifier and Type
  Method
  Description
  `boolean`
  PhaseInterceptorChain.`doIntercept(Message message)`
  Intercept a message, invoking each phase's handlers in turn.
  `boolean`
  PhaseInterceptorChain.`doInterceptStartingAfter(Message message, String startingAfterInterceptorID)`
  Intercept a message, invoking each phase's handlers in turn, starting after the specified interceptor.
  `boolean`
  PhaseInterceptorChain.`doInterceptStartingAt(Message message, String startingAtInterceptorID)`
  Intercept a message, invoking each phase's handlers in turn, starting at the specified interceptor.
  `static boolean`
  PhaseInterceptorChain.`setCurrentMessage(PhaseInterceptorChain chain, Message m)`
  `void`
  PhaseInterceptorChain.`unwind(Message message)`
  Method parameters in org.apache.cxf.phase with type arguments of type Message
  Modifier and Type
  Method
  Description
  `void`
  PhaseInterceptorChain.`add(Collection<Interceptor<? extends Message>> newhandlers)`
  `void`
  PhaseInterceptorChain.`add(Collection<Interceptor<? extends Message>> newhandlers, boolean force)`
  `void`
  PhaseInterceptorChain.`add(Interceptor<? extends Message> i)`
  `void`
  PhaseInterceptorChain.`add(Interceptor<? extends Message> i, boolean force)`
  `PhaseInterceptorChain`
  PhaseChainCache.`get(SortedSet<Phase> phaseList, List<Interceptor<? extends Message>> p1)`
  `PhaseInterceptorChain`
  PhaseChainCache.`get(SortedSet<Phase> phaseList, List<Interceptor<? extends Message>> p1, List<Interceptor<? extends Message>> p2)`
  `PhaseInterceptorChain`
  PhaseChainCache.`get(SortedSet<Phase> phaseList, List<Interceptor<? extends Message>> p1, List<Interceptor<? extends Message>> p2, List<Interceptor<? extends Message>> p3)`
  `PhaseInterceptorChain`
  PhaseChainCache.`get(SortedSet<Phase> phaseList, List<Interceptor<? extends Message>> p1, List<Interceptor<? extends Message>> p2, List<Interceptor<? extends Message>> p3, List<Interceptor<? extends Message>> p4)`
  `PhaseInterceptorChain`
  PhaseChainCache.`get(SortedSet<Phase> phaseList, List<Interceptor<? extends Message>> p1, List<Interceptor<? extends Message>> p2, List<Interceptor<? extends Message>> p3, List<Interceptor<? extends Message>> p4, List<Interceptor<? extends Message>> p5)`
  `void`
  PhaseInterceptorChain.`remove(Interceptor<? extends Message> i)`

- ## Uses of Message in org.apache.cxf.policy

  Methods in org.apache.cxf.policy with parameters of type Message
  Modifier and Type
  Method
  Description
  `<T> void`
  PolicyDataEngine.`assertMessage(Message message, T confPol, PolicyCalculator<T> policyCalculator)`
  `<T> T`
  PolicyDataEngine.`getClientEndpointPolicy(Message m, EndpointInfo ei, Conduit c, PolicyCalculator<T> policyCalculator)`
  `<T> T`
  PolicyDataEngine.`getPolicy(Message message, T confPolicy, PolicyCalculator<T> intersector)`
  `<T> T`
  PolicyDataEngine.`getServerEndpointPolicy(Message m, EndpointInfo ei, Destination d, PolicyCalculator<T> policyCalculator)`
  `boolean`
  PolicyCalculator.`isAsserted(Message message, T policy, T refPolicy)`

- ## Uses of Message in org.apache.cxf.staxutils

  Methods in org.apache.cxf.staxutils with parameters of type Message
  Modifier and Type
  Method
  Description
  `static XMLStreamReader`
  StaxUtils.`configureReader(XMLStreamReader xreader, Message message)`
  `static boolean`
  StaxUtils.`isSecureReader(XMLStreamReader reader, Message message)`

- ## Uses of Message in org.apache.cxf.staxutils.validation

  Methods in org.apache.cxf.staxutils.validation with parameters of type Message
  Modifier and Type
  Method
  Description
  `void`
  StaxSchemaValidationInInterceptor.`handleMessage(Message message)`
  `void`
  StaxSchemaValidationOutInterceptor.`handleMessage(Message message)`

- ## Uses of Message in org.apache.cxf.transport

  Fields in org.apache.cxf.transport with type parameters of type Message
  Modifier and Type
  Field
  Description
  `protected List<Interceptor<? extends Message>>`
  MultipleEndpointObserver.`bindingInterceptors`
  `protected List<Interceptor<? extends Message>>`
  MultipleEndpointObserver.`routingInterceptors`
  Methods in org.apache.cxf.transport that return Message
  Modifier and Type
  Method
  Description
  `protected Message`
  MultipleEndpointObserver.`createMessage(Message message)`
  Give a chance for a Binding to customize their message
  Methods in org.apache.cxf.transport that return types with arguments of type Message
  Modifier and Type
  Method
  Description
  `List<Interceptor<? extends Message>>`
  MultipleEndpointObserver.`getBindingInterceptors()`
  `List<Interceptor<? extends Message>>`
  MultipleEndpointObserver.`getRoutingInterceptors()`
  Methods in org.apache.cxf.transport with parameters of type Message
  Modifier and Type
  Method
  Description
  `void`
  Assertor.`assertMessage(Message message)`
  `void`
  AbstractConduit.`close(Message msg)`
  `void`
  Conduit.`close(Message message)`
  Close the connections associated with the message
  `protected Message`
  MultipleEndpointObserver.`createMessage(Message message)`
  Give a chance for a Binding to customize their message
  `Conduit`
  AbstractDestination.`getBackChannel(Message inMessage)`
  Retrieve a back-channel Conduit, which must be policy-compatible with the current Message and associated Destination.
  `Conduit`
  Destination.`getBackChannel(Message inMessage)`
  Retreive a back-channel Conduit, which must be policy-compatible with the current Message and associated Destination.
  `protected abstract Conduit`
  AbstractDestination.`getInbuiltBackChannel(Message inMessage)`
  `void`
  ChainInitiationObserver.`onMessage(Message m)`
  `void`
  MessageObserver.`onMessage(Message message)`
  Called for an incoming message, i.e. where the content format(s) is/are source(s).
  `void`
  MultipleEndpointObserver.`onMessage(Message message)`
  `void`
  Conduit.`prepare(Message message)`
  Prepare the message for sending.
  `protected void`
  ChainInitiationObserver.`setExchangeProperties(Exchange exchange, Message m)`
  `protected void`
  MultipleEndpointObserver.`setExchangeProperties(Exchange exchange, Message m)`

- ## Uses of Message in org.apache.cxf.transport.common.gzip

  Methods in org.apache.cxf.transport.common.gzip with parameters of type Message
  Modifier and Type
  Method
  Description
  `GZIPOutInterceptor.UseGzip`
  GZIPOutInterceptor.`gzipPermitted(Message message)`
  Checks whether we can, cannot or must use gzip compression on this output message.
  `void`
  GZIPInInterceptor.`handleMessage(Message message)`
  `void`
  GZIPOutInterceptor.`handleMessage(Message message)`
  Method parameters in org.apache.cxf.transport.common.gzip with type arguments of type Message
  Modifier and Type
  Method
  Description
  `void`
  GZIPFeature.`remove(List<Interceptor<? extends Message>> outInterceptors)`

- ## Uses of Message in org.apache.cxf.validation

  Methods in org.apache.cxf.validation with parameters of type Message
  Modifier and Type
  Method
  Description
  `protected BeanValidationProvider`
  BeanValidationOutInterceptor.`getOutProvider(Message message)`
  `protected BeanValidationProvider`
  AbstractValidationInterceptor.`getProvider(Message message)`
  `protected Method`
  AbstractBeanValidationInterceptor.`getServiceMethod(Message message)`
  `protected Method`
  AbstractValidationInterceptor.`getServiceMethod(Message message)`
  `protected Object`
  AbstractBeanValidationInterceptor.`getServiceObject(Message message)`
  `protected Object`
  AbstractValidationInterceptor.`getServiceObject(Message message)`
  `void`
  AbstractValidationInterceptor.`handleMessage(Message message)`
  `protected void`
  AbstractBeanValidationInterceptor.`handleValidation(Message message, Object resourceInstance, Method method, List<Object> arguments)`
  `protected abstract void`
  AbstractValidationInterceptor.`handleValidation(Message message, Object resourceInstance, Method method, List<Object> arguments)`
  `protected void`
  BeanValidationOutInterceptor.`handleValidation(Message message, Object resourceInstance, Method method, List<Object> arguments)`

- ## Uses of Message in org.apache.cxf.ws.addressing

  Methods in org.apache.cxf.ws.addressing that return Message
  Modifier and Type
  Method
  Description
  `static Message`
  ContextUtils.`createMessage(Exchange exchange)`
  Create a Binding specific Message.
  Methods in org.apache.cxf.ws.addressing that return types with arguments of type Message
  Modifier and Type
  Method
  Description
  `Collection<PhaseInterceptor<? extends Message>>`
  MAPAggregator.`getAdditionalInterceptors()`
  Methods in org.apache.cxf.ws.addressing with parameters of type Message
  Modifier and Type
  Method
  Description
  `static Conduit`
  ContextUtils.`getConduit(Conduit conduit, Message message)`
  Retreive Conduit from Exchange if not already available
  `void`
  MAPAggregator.`handleFault(Message message)`
  `void`
  MAPAggregator.`handleMessage(Message message)`
  Invoked for normal processing of inbound and outbound messages.
  `static boolean`
  ContextUtils.`isFault(Message message)`
  Determine if message is fault.
  `static boolean`
  ContextUtils.`isOutbound(Message message)`
  Determine if message is outbound.
  `static boolean`
  ContextUtils.`isRequestor(Message message)`
  Determine if current messaging role is that of requestor.
  `static void`
  ContextUtils.`propogateReceivedMAPs(AddressingProperties inMAPs, Message responseMessage)`
  Propogate inbound MAPs onto reponse message if applicable (not applicable for oneways).
  `static boolean`
  ContextUtils.`retrieveAsyncPostResponseDispatch(Message message)`
  Retrieve indication that an async post-response service invocation is required.
  `static boolean`
  ContextUtils.`retrieveDeferredUncorrelatedMessageAbort(Message message)`
  Retrieve indication that a deferred uncorrelated message abort should occur.
  `static boolean`
  ContextUtils.`retrieveDeferUncorrelatedMessageAbort(Message message)`
  Retrieve indication that a deferred uncorrelated message abort is supported
  `static String`
  ContextUtils.`retrieveMAPFaultName(Message message)`
  Retrieve MAP fault name from the message.
  `static String`
  ContextUtils.`retrieveMAPFaultReason(Message message)`
  Retrieve MAP fault reason from the message.
  `static AddressingProperties`
  ContextUtils.`retrieveMAPs(Message message, boolean isProviderContext, boolean isOutbound)`
  `static AddressingProperties`
  ContextUtils.`retrieveMAPs(Message message, boolean isProviderContext, boolean isOutbound, boolean warnIfMissing)`
  `static boolean`
  ContextUtils.`retrievePartialResponseSent(Message message)`
  Retrieve indication that a partial response has been sent.
  `static boolean`
  WSAContextUtils.`retrieveUsingAddressing(Message message)`
  Retrieve UsingAddressing override flag from the context
  `static void`
  ContextUtils.`storeDeferredUncorrelatedMessageAbort(Message message)`
  Store indication that a deferred uncorrelated message abort should occur
  `static void`
  ContextUtils.`storeDeferUncorrelatedMessageAbort(Message message)`
  Store indication that a deferred uncorrelated message abort is supported
  `static void`
  ContextUtils.`storeMAPFaultName(String faultName, Message message)`
  Store bad MAP fault name in the message.
  `static void`
  ContextUtils.`storeMAPFaultReason(String reason, Message message)`
  Store MAP fault reason in the message.
  `static void`
  ContextUtils.`storeMAPs(AddressingProperties maps, Message message, boolean isOutbound)`
  Store MAPs in the message.
  `static void`
  ContextUtils.`storeMAPs(AddressingProperties maps, Message message, boolean isOutbound, boolean isRequestor)`
  Store MAPs in the message.
  `static void`
  ContextUtils.`storeMAPs(AddressingProperties maps, Message message, boolean isOutbound, boolean isRequestor, boolean isProviderContext)`
  Store MAPs in the message.
  `static void`
  ContextUtils.`storePartialResponseSent(Message message)`
  Store an indication that a partial response has been sent.